$(function(){
			$( "#draggable" ).draggable({cursor: "move", handle: ".title"});

			$( "#drag" ).draggable({cursor: "e-resize", axis: "x" ,containment: "parent", drag: function(event, ui)
				{
						var plan=$('.calculate-select').val();
						var data = sw(plan);
						var c=ui.position.left;
						console.clear();
			 			console.log(c);
						var e=parseFloat(data.min)+c*(data.max-data.min)/($(this).parent().width()-$(this).width());
						var output=Math.round(e).toFixed(0)*100/100;
			 			$('.p_before').css({'width': c});
						$(this).children('span').text(output);
			 			$('.calculate-amount').val(output);
						calc(data, output);
				}
			});


$('body').on('keypress, keydown', function(event)
{
	var show=$(this).find('.wrap')[0];
	if (show!=undefined)
	{
		var code = event.keyCode ? event.keyCode : event.which;
		if (code==27)
    	{
    		$('.modal_block').removeClass('fadeInDown').addClass('fadeOutUp');
			$('.wrap').fadeOut('1000');
			//$('#main').removeClass('grey');
		}
	}
});
$('body').on('click', function(event) {
	if (event.target.className=='close'  || event.target.className=='btn-close')
	{
		$('.modal_block').removeClass('fadeInDown').addClass('fadeOutUp');
		$('.wrap').fadeOut('1000');
		//$('#main').removeClass('grey');
	}
});




$(document).on('change','.calculate-select',function()
{
	var plan=$(this).val();
	var data = sw(plan);
	//console.log(plan);

			$('.calculate-amount').val(data.min);
			$('.calculate-duration').val(data.duration);
			//$('.compound').val('0');
			$('.drag').children('span').text(data.min);
			$('.drag').animate({'left': '0px'},400);
			$('.p_before').animate({'width': '0'},400);
	calc(data,data.min);
})

$(document).on('change keyup','.calculate-amount', function()
		{
				var amount=$(this).val();
				var duration=$('.calculate-duration').val();
				var plan=$('.calculate-select').val();
				var data = sw(plan);

				if (amount>data.max) amount=data.max;
				$(this).val(amount);
				var position=Math.round((amount-data.min)*($( ".drag" ).parent().width()-$(".drag" ).width())/(data.max-data.min));
				if (position<0) position=0;
				$('.p_before').animate({'width': position},400);
				$(".drag").animate({'left': position+'px'},400);
				calc(data, amount);
		}).on('keypress','.calculate-amount', isNumber);

$(document).on('change keyup','.calculate-duration', function()
		{
				var amount=$('.calculate-amount').val();
				var duration=$(this).val();
				var plan=$('.calculate-select').val();
				var data = sw(plan);
				console.clear();
				data.duration=duration;
				calc(data, amount);
		}).on('keypress','.calculate-duration', isNumber);

function isNumber(event)
{
	var charCode = (event.which) ? event.which : event.keyCode;
	if (charCode > 31 && (charCode < 48 || charCode > 57))
		return false;
	return true;
}
    
function calc(data, amount)
{
	if (jQuery.isEmptyObject(data))
	{
		data = sw();
		amount = data.min;
		$('.amount').val(data.min);
		calculate(amount,data.perc,data.id);

	}
	calculate(amount,data.perc,data.plan,data.duration);
}
    
    
    
    
    
function sw(plan)
{
		data=[];
		amount=$('.calculate-amount').val();
		data.min=10;
		data.max=100000;    

    	switch (plan) {
		case '3':
        data.min=10;
		data.max=100000;
		data.plan=3;
			switch (true) {
				case (amount<=100000):
				data.duration=1;
				perc=120;
				data.perc=perc;
				break;
				
			}
    }
    




		$('.min-value').text(data.min+' '+'RUB');
		$('.max-value').text(data.max+' '+'RUB');
	return data;
}



 function calculate(amount,perc,plan,duration)
 {
 	var plan=Number(plan);
 	var amount=Number(amount);

 	var duration=Number(duration);
	var perc=Number(perc);

	var total=Math.round(amount*perc*duration).toFixed(2)/100;
	var chas=Math.round(amount*perc/24).toFixed(2)/100;


	$('.calculate-duration').text(duration);
	$('.depos').text(amount.toFixed(2));
	$('.total').text((total-amount).toFixed(2));
	$('.summ').text((total).toFixed(2));
	$('.chas').text((chas).toFixed(2));
	$('.planname').text((name));
	$('.perc').text((data.perc*data.duration).toFixed(2));
 }

});